Package org.apache.commons.math3.geometry.spherical.oned

# Class SubLimitAngle

java.lang.Object
org.apache.commons.math3.geometry.partitioning.AbstractSubHyperplane<Sphere1D,Sphere1D>
org.apache.commons.math3.geometry.spherical.oned.SubLimitAngle

All Implemented Interfaces:
  `SubHyperplane<Sphere1D>`

public class SubLimitAngle extends AbstractSubHyperplane<Sphere1D,Sphere1D>
This class represents sub-hyperplane for `LimitAngle`.

Instances of this class are guaranteed to be immutable.

Since:
  3.3

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.apache.commons.math3.geometry.partitioning.SubHyperplane

`SubHyperplane.SplitSubHyperplane<U extends Space>`

## Constructor Summary

Constructors
Constructor
Description
`SubLimitAngle(Hyperplane<Sphere1D> hyperplane, Region<Sphere1D> remainingRegion)`
Simple constructor.

## Method Summary

Modifier and Type
Method
Description
`protected AbstractSubHyperplane<Sphere1D,Sphere1D>`
`buildNew(Hyperplane<Sphere1D> hyperplane, Region<Sphere1D> remainingRegion)`
Build a sub-hyperplane from an hyperplane and a region.
`double`
`getSize()`
Get the size of the instance.
`boolean`
`isEmpty()`
Check if the instance is empty.
`SubHyperplane.SplitSubHyperplane<Sphere1D>`
`split(Hyperplane<Sphere1D> hyperplane)`
Split the instance in two parts by an hyperplane.

### Methods inherited from class org.apache.commons.math3.geometry.partitioning.AbstractSubHyperplane

`applyTransform, copySelf, getHyperplane, getRemainingRegion, reunite, side`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SubLimitAngle

public SubLimitAngle(Hyperplane<Sphere1D> hyperplane, Region<Sphere1D> remainingRegion)
Simple constructor.

Parameters:
  `hyperplane` - underlying hyperplane
  `remainingRegion` - remaining region of the hyperplane

## Method Details

### getSize

public double getSize()
Get the size of the instance.

Specified by:
  `getSize` in interface `SubHyperplane<Sphere1D>`
Overrides:
  `getSize` in class `AbstractSubHyperplane<Sphere1D,Sphere1D>`
Returns:
  the size of the instance (this is a length in 1D, an area in 2D, a volume in 3D ...)

### isEmpty

public boolean isEmpty()
Check if the instance is empty.

Specified by:
  `isEmpty` in interface `SubHyperplane<Sphere1D>`
Overrides:
  `isEmpty` in class `AbstractSubHyperplane<Sphere1D,Sphere1D>`
Returns:
  true if the instance is empty

### buildNew

protected AbstractSubHyperplane<Sphere1D,Sphere1D> buildNew(Hyperplane<Sphere1D> hyperplane, Region<Sphere1D> remainingRegion)
Build a sub-hyperplane from an hyperplane and a region.

Specified by:
  `buildNew` in class `AbstractSubHyperplane<Sphere1D,Sphere1D>`
Parameters:
  `hyperplane` - underlying hyperplane
  `remainingRegion` - remaining region of the hyperplane
Returns:
  a new sub-hyperplane

### split

public SubHyperplane.SplitSubHyperplane<Sphere1D> split(Hyperplane<Sphere1D> hyperplane)
Split the instance in two parts by an hyperplane.

Specified by:
  `split` in interface `SubHyperplane<Sphere1D>`
Specified by:
  `split` in class `AbstractSubHyperplane<Sphere1D,Sphere1D>`
Parameters:
  `hyperplane` - splitting hyperplane
Returns:
  an object containing both the part of the instance on the plus side of the hyperplane and the part of the instance on the minus side of the hyperplane